Bodhi Linux Forums: [kind of solved] impossible to add a new picture as wallpaper - Bodhi Linux Forums

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

[kind of solved] impossible to add a new picture as wallpaper

#1 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 25 March 2012 - 07:46 AM

Hello,

Strangely I get an error from e when I try to add a picture as wallpaper. It's not in english on my laptop but I try to retranslate it correctly : left clic > settings > wallpaper [not wallpaper 2, doesn't seem to work] > picture

Everytime e tells something like "enlightenment couldn't import the picture because of conversion errors"

It tells it for any picture, even for those I already imported before.

Haven't tried to delete the .e : before doing that, is there any clue to bring it back to work ?

Have tried to change the theme either, it didn't help. Bodhi is completely up to date.


EDIT : just tried to start back from a new .e : it doesn't help !
0

#2 User is offline   bodhibob 

  • Member
  • Group: Members
  • Posts: 88
  • Joined: 02-January 12
  • Locationitaly

Posted 25 March 2012 - 09:35 AM

View Postquamenzullo, on 25 March 2012 - 07:46 AM, said:

Hello,

Strangely I get an error from e when I try to add a picture as wallpaper. It's not in english on my laptop but I try to retranslate it correctly : left clic > settings > wallpaper [not wallpaper 2, doesn't seem to work] > picture

Everytime e tells something like "enlightenment couldn't import the picture because of conversion errors"

It tells it for any picture, even for those I already imported before.

Haven't tried to delete the .e : before doing that, is there any clue to bring it back to work ?

Have tried to change the theme either, it didn't help. Bodhi is completely up to date.


EDIT : just tried to start back from a new .e : it doesn't help !



hi, i had to create the favorites folder in ~.e/e/fileman
type: mkdir .e/e/fileman/favorites
try to adding backgrond now i have done so and it work.
ciao


i
0

#3 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 26 March 2012 - 12:38 PM

View Postbodhibob, on 25 March 2012 - 09:35 AM, said:

hi, i had to create the favorites folder in ~.e/e/fileman
type: mkdir .e/e/fileman/favorites
try to adding backgrond now i have done so and it work.
ciao


i


Thanks, but it's not the same problem : I also had this one, but I created the folder you say and this problem is over (the error was saying that the filemanager couldn't find this folder). This error didn't prevent me from adding a new picture neither.

The current error I am experiencing says "enlightenment couldn't import the picture because of conversion errors" and indeed doesn't import the picture.

I have seen in another thread that someone was looking for a script doing the conversion from pictures to edj files. It would be useful for me, at least to have some more hints about the error.

Have a nice day,


QZ
0

#4 User is offline   Jeff 

  • Lead Developer
  • Group: Developer
  • Posts: 9610
  • Joined: 23-November 10
  • LocationBloomington, IL

Posted 26 March 2012 - 02:05 PM

Can you please post one of the images you are having an issue with somewhere for download so I can test this first hand? I can't reproduce this error with any images I've found so far.

~Jeff
0

#5 User is offline   STRUPPI 

  • Member
  • Group: Members
  • Posts: 736
  • Joined: 19-July 11

Posted 26 March 2012 - 02:07 PM

...(the error was saying that the filemanager couldn't find this folder)
Have you rebooted [minimum is a E17 restart]?
I can change my Walpaper without trobble so easy...
0

#6 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 28 March 2012 - 03:26 PM

Apologizes for the delay (have some health trouble these days...)

Well on my laptop NO picture at all would work, I can try any of them. They all used to work before.

If you wish to try, there is one here : http://dlanham.com/a...hunt/mmhunt.zip (the biggest one ; I resized the one I used, but it's the same for both of these files, not one of them would work).

I add that I tried to change the options (use the original file checked / unchecked ; fill / resize / center / mosaic etc.).

I wonder if the problem could come from a bad config in .elementary ?? Is it OK to mv it to .elementary.old to check it or is it nonsense ?

At last, I could try to reinstall everything but well, it's a shame, isn't it ??

@ STRUPPI : yes I did restart the laptop, only e, then the entire system : no change...

Thanks, have a nice day folks !


QZ
0

#7 User is offline   STRUPPI 

  • Member
  • Group: Members
  • Posts: 736
  • Joined: 19-July 11

Posted 28 March 2012 - 04:06 PM

Hi,
work on my PC without any trobble...
http://dlanham.com/a...hunt/mmhunt.zip [the biggest one]..unzip the package, there are 3 Pictures, one 'Sent a Thanks.URL and one 'UsageTerms.rtf'

Main -> Stettings -> Wallpaper [NOT Wallpaper2]
In this 'Wallpaper Settings' -Window click on Picture
In this new open little 'Select a Picture...' -Window click on 'Go up a Directory' to go in your Folder, where is your wanted Picture.
dlanham-MarshmallowHunting.jpg is the wanted. Click on this and you see a preview in the littel Preview-Window.
Is this OK, click on OK.
A Sup-Window open and you can select the 'Fill and Stretch Options'
Is this finish, click on OK.
Now you see again your Main-Window 'Wallpaper Settings' and can there set 'All Desktop or This Desktop, or This Screen [if you work with more as one Display/Screen].
If you are finish with settings, click finaly on Apply.
Is all OK, you can close this window with a click on 'Close', or change again the Viewing-Settings, or Picture..

A E17-Restart is not needet, this Wallpaper changing is 'on the fly'..
0

#8 User is offline   Jeff 

  • Lead Developer
  • Group: Developer
  • Posts: 9610
  • Joined: 23-November 10
  • LocationBloomington, IL

Posted 28 March 2012 - 05:02 PM

You should try wiping out your ~/.e folder first before reinstalling.

~Jeff
0

#9 User is offline   Vistaus 

  • Member
  • Group: Members
  • Posts: 271
  • Joined: 01-July 11
  • LocationAlmere, The Netherlands

Posted 29 March 2012 - 09:02 PM

I have this too lately. Tried wiping out .e, didn't help. Tried a full reinstall, didn't help. It doesn't seem to get solved :(
0

#10 User is offline   Vistaus 

  • Member
  • Group: Members
  • Posts: 271
  • Joined: 01-July 11
  • LocationAlmere, The Netherlands

Posted 29 March 2012 - 09:06 PM

Oh, I got it nailed down.
Installed

libedje-bin libqedje0a libqzion0a

and now it does work :)
0

#11 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 20 April 2012 - 08:11 AM

View PostVistaus, on 29 March 2012 - 09:06 PM, said:

Oh, I got it nailed down.
Installed

libedje-bin libqedje0a libqzion0a

and now it does work :)


Hello, sorry for this long delay...

I tried this solution but it ended up in a problem of brocken package. Maybe it's related to some other stuff I installed before ("developing package").
For instance, the last sudo aptitude safe-upgrade finishes this way :

Dépaquetage de libeet1 (à partir de .../libeet1_1.2.3-1_i386.deb) ...
dpkg : erreur de traitement de /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb (--unpack) :
 tentative de remplacement de « /usr/lib/libeet.so.1 », qui appartient aussi au paquet eet 0:20120320-1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
dpkg : des problèmes de dépendances empêchent la configuration de libqedje0a :
 libqedje0a dépend de libeet1 (>= 1.0.0) ; cependant :
  Le paquet libeet1 n'est pas installé.
dpkg : erreur de traitement de libqedje0a (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 libqedje0a
Lecture des listes de paquets... Fait             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait


Which I try to translate this way in english :

Unpacking libeet1 (from .../libeet1_1.2.3-1_i386.deb) ...
dpkg : processing error of /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb (--unpack) :
 trying to replace « /usr/lib/libeet.so.1 », which also belongs to package eet 0:20120320-1
Errors have been encountered during execution of :
 /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to install a package. Trying to repair :
dpkg : dependancies problems prevent libqedje0a from being configured :
 libqedje0a depends from libeet1 (>= 1.0.0) ; but :
  Package libeet1 is not installed.
dpkg : processing error of libqedje0a (--configure) :
 dependencies problems - left unconfigured
Errors have been encountered during execution of :
 libqedje0a
Reading packages lists... Done             
Building of the tree of dependancies      
Reading status informations... Done
Reading of the extended information state       
Initialazing packages statuts... Done
Writing of extended packages state... Done



Could anyone help ? I don't know if trying to uninstall eet is really a good idea...

Thanks !
0

#12 User is offline   jazz 

  • Member
  • Group: Members
  • Posts: 520
  • Joined: 13-September 11

Posted 20 April 2012 - 07:25 PM

If it's one or two files, maybe you could try this:

Open it in gimp, edit it in some way, say, make the final resolution the exact one to match your screen. If it is already the right size, scale it down a little (even 5% smaller). Save it in another format; e.g. save as png if the original was jpg. Now go to wallpapers and pick this new picture. And instead of the default -stretch- action, make it centered or tiled. (Pick stretched only if you had to scale down earlier.) If e still cannot import, you can decide what to do then.
Check out e17 screenies and art at my page, or mark your problem as SOLVED, or seek help on IRC.
0

#13 User is offline   Charles@Bodhi 

  • Old Faithful
  • Group: Moderators
  • Posts: 3295
  • Joined: 23-February 11
  • LocationZeist, The Netherlands

Posted 20 April 2012 - 07:48 PM

I saw you are updating using the command aptitude safe-upgrade. This might be the cause for your trouble.
The latest version of enlightenment in the repos is 20120405-1.
Doing:
sudo apt-get update && sudo apt-get dist-upgrade 
might end your problems.
(dist-upgrade forces upgrading dependencies where necessary)
You will have a warning to reboot your computer after the upgrade has finished. Please do so before doing anything else.

Charles.
Medion S4216 Ultrabook, 4GB RAM, 1TB HDD, WIN 8.1, Bodhi 2.4.0-64
EEE Box202, 1GB RAM, 80 GB HDD, WIN-XP SP3, Bodhi 2.3.0-32_non-pae
EEE PC 901, 1GB RAM, 12 GB SSD, Tripleboot Bodhi 2.4.0-32 non-pae: E17-stable, E17-testing, E18-testing

How to mark a thread as [SOLVED]
The Bodhi Guide to Enlightenment
0

#14 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 22 April 2012 - 08:55 AM

View PostCharles@Bodhi, on 20 April 2012 - 07:48 PM, said:

I saw you are updating using the command aptitude safe-upgrade. This might be the cause for your trouble.
The latest version of enlightenment in the repos is 20120405-1.
Doing:
sudo apt-get update && sudo apt-get dist-upgrade 
might end your problems.
(dist-upgrade forces upgrading dependencies where necessary)
You will have a warning to reboot your computer after the upgrade has finished. Please do so before doing anything else.

Charles.


Well unfortunately this had no effect on the problem, even after reboot. The number version of enlightenment is correct, though.

When sudo apt-get update && sudo apt-get dist-upgrade said everything's up to date, I tried again : sudo apt-get install libedje-bin libqedje0a libqzion0a
but it still leads to the same dependancy problem. As advised in the comments of the error, I tried :

sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libecore-evas-svn-05 libecore-svn-05 libevas-svn-05 libevas-svn-05-engines-core libecore-con-svn-05 libecore-imf-svn-05 libecore-txt-svn-05
  libecore-file-svn-05 libecore-fb-svn-05 libembryo0 libedje-svn-05 libecore-x-svn-05 libecore-input-svn-05 libecore-job-svn-05
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libeet1
Les NOUVEAUX paquets suivants seront installés :
  libeet1
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
15 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/44,3ko dans les archives.
Après cette opération, 152ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O
(Lecture de la base de données... 297950 fichiers et répertoires déjà installés.)
Dépaquetage de libeet1 (à partir de .../libeet1_1.2.3-1_i386.deb) ...
dpkg : erreur de traitement de /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb (--unpack) :
 tentative de remplacement de « /usr/lib/libeet.so.1 », qui appartient aussi au paquet eet 0:20120405-1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libeet1_1.2.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


So I removed libqedje0a so as to get the packages status "clean" :
sudo apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour


But the problem remains.

I tried to resize the picture files but this doesn't solve the problem. I already have many pictures having exactly the same size as the screen. I already used them before, I tried to change the different options like "center / tile / etc." and check or uncheck "Use original file"... I already changed the theme, even tried from a fresh new profile, no effect, I always get the same error.

Posted Image

It's weird I think I must reinstall the whole OS, don't you think ??
0

#15 User is offline   Charles@Bodhi 

  • Old Faithful
  • Group: Moderators
  • Posts: 3295
  • Joined: 23-February 11
  • LocationZeist, The Netherlands

Posted 22 April 2012 - 09:47 AM

I wonder what is in your sources list. I see this svn-05 pacquets that I have never seen on my machine. The message says that you should run apt-get autoremove.

As to get this install error solved, I suggest you remove manually the file /usr/lib/libeet.so.1 and then reinstall eet from the Bodhi repos. Not sure that works though.
If not, saving your personal stuff somewhere and performing a clean install of Bodhi might be the best solution. Try to avoid adding ppa's and other repos to the system, they can easily break things on Bodhi.

Bon chance,
Charles.
Medion S4216 Ultrabook, 4GB RAM, 1TB HDD, WIN 8.1, Bodhi 2.4.0-64
EEE Box202, 1GB RAM, 80 GB HDD, WIN-XP SP3, Bodhi 2.3.0-32_non-pae
EEE PC 901, 1GB RAM, 12 GB SSD, Tripleboot Bodhi 2.4.0-32 non-pae: E17-stable, E17-testing, E18-testing

How to mark a thread as [SOLVED]
The Bodhi Guide to Enlightenment
0

#16 User is offline   BeSlayed 

  • Member
  • Group: Members
  • Posts: 150
  • Joined: 10-September 11

Posted 19 June 2012 - 06:58 PM

I've also been having this problem for the past couple of months. Any picture I try to convert using "Wallpaper" produces the error 'Enlightenment was unable to import the picture due to conversion errors.'

Has anyone ever figured out any solution for this?
Ongietan sceal gleaw hæle hu gæstlic bið,
þonne ealre þisse worulde wela weste stondeð.
--The Wanderer, ll. 73-4.
0

#17 User is offline   quamenzullo 

  • Member
  • Group: Members
  • Posts: 50
  • Joined: 19-December 11

Posted 08 September 2012 - 05:19 PM

I never managed to really solve the problem (and very very strangely, although the problem remained if I removed the .e directory ; it was not there for a new user I created eventually)

BUT after updating to 2.0.1, the problem disappeared (even though the same .e is there !)

So, it's "kind of" solved and of no interest any longer.
1

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users